package observations;

import java.util.*;
import java.lang.*;


public class Range 
{
  Float lowerLimit;
  Float upperLimit;
  public Range(float lower, float upper)
  {  lowerLimit = new Float(lower);
     upperLimit = new Float(upper);
  }

  public Range(Float lower, Float upper)
  {  lowerLimit = lower;
     upperLimit = upper;
  }

public Range(String string)
{
 StringTokenizer st = new StringTokenizer (string,"@");

 try{
 lowerLimit = new Float(st.nextToken());
 upperLimit = new Float(st.nextToken());
 }catch(NumberFormatException e){lowerLimit = upperLimit = new Float(0);};
}
public boolean includes(Float value)
{
return (lowerLimit.floatValue() < value.floatValue() & 
	   value.floatValue() < upperLimit.floatValue() );
}

public boolean includes(float aNumber)
{return includes(new Float(aNumber)); }

} 